> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event logs

> List event logs.

See the [event log reference](/reference/manage-vanta/event-log-reference) for an inexhaustive list of `actor.type`, `action`, and `targets[].type` values.



## OpenAPI

````yaml /reference/manage-vanta.json get /event-logs
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /event-logs:
    get:
      tags:
        - Event Logs
      summary: List event logs
      description: >-
        List event logs.


        See the [event log
        reference](/reference/manage-vanta/event-log-reference) for an
        inexhaustive list of `actor.type`, `action`, and `targets[].type`
        values.
      operationId: ListEventLogs
      parameters:
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
        - description: Filter to event logs created at or after this ISO 8601 timestamp.
          in: query
          name: startDate
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_EventLog_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: 69fbbae3e16190a288ee8eb0
                          actor:
                            id: 69fbbaf987273a4b462580e9
                            type: USER
                          date: '2026-05-03T21:08:22.385Z'
                          action: LOGIN_USER
                          targets:
                            - id: email
                              type: LOGIN_METHOD
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: >-
                          eyJjcmVhdGVkQXQiOnsiJGRhdGUiOiIyMDI2LTA1LTAzVDIxOjA4OjExLjQzNFoifSwiX2lkIjp7IiRvaWQiOiI2OGZiYmFlM2UxNjA5MGEyODRlZThlYjAifX0=
                        endCursor: >-
                          eyJjcmVhdGVkQXQiOnsiJGRhdGUiOiIyMDI2LTA1LTAzVDIxOjA4OjIyLjM4NVoifSwiX2lkIjp7IiRvaWQiOiI2OWZiYmFlM2UxNjE5MGEyODhlZThlYjAifX0=
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_EventLog_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/EventLog'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    EventLog:
      properties:
        id:
          type: string
          description: The event log's unique ID.
        actor:
          properties:
            type:
              type: string
              description: The actor's type.
            id:
              type: string
              description: The actor's unique ID.
          required:
            - type
            - id
          type: object
          description: The event's initiator.
        date:
          type: string
          format: date-time
          description: The event's creation date.
        action:
          type: string
          description: The event's action.
        targets:
          items:
            properties:
              type:
                type: string
                description: The target's type.
              id:
                type: string
                description: The target's unique ID.
            required:
              - type
              - id
            type: object
          type: array
          description: The list of targets of the event.
      required:
        - id
        - actor
        - date
        - action
        - targets
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````